gntbox.h File Reference
GNT (GLib Ncurses Toolkit)
`#include "gnt.h"`
`#include "gntwidget.h"`

Go to the source code of this file.

## Data Structures

struct | _GntBox
struct | _GntBoxClass

## Macros

#define | GNT_TYPE_BOX (gnt_box_get_gtype())
#define | GNT_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_BOX, GntBox))
#define | GNT_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_BOX, GntBoxClass))
#define | GNT_IS_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_BOX))
#define | GNT_IS_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_BOX))
#define | GNT_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_BOX, GntBoxClass))
#define | gnt_vbox_new(homo) gnt_box_new(homo, TRUE)
#define | gnt_hbox_new(homo) gnt_box_new(homo, FALSE)

## Typedefs

typedef struct _GntBox | GntBox
typedef struct _GntBoxClass | GntBoxClass

## Enumerations

enum | GntAlignment { GNT_ALIGN_LEFT, GNT_ALIGN_RIGHT, GNT_ALIGN_MID, GNT_ALIGN_TOP, GNT_ALIGN_BOTTOM }

## Functions

G_BEGIN_DECLS GType | gnt_box_get_gtype (void)
| The GType for GntBox. More...
GntWidget * | gnt_box_new (gboolean homo, gboolean vert)
| Create a new GntBox. More...
void | gnt_box_add_widget (GntBox *box, GntWidget *widget)
| Add a widget in the box. More...
void | gnt_box_set_title (GntBox *box, const char *title)
| Set a title for the box. More...
void | gnt_box_set_pad (GntBox *box, int pad)
| Set the padding to use between the widgets in the box. More...
void | gnt_box_set_toplevel (GntBox *box, gboolean set)
| Set whether it's a toplevel box (ie, a window) or not. More...
void | gnt_box_sync_children (GntBox *box)
| Reposition and refresh the widgets in the box. More...
void | gnt_box_set_alignment (GntBox *box, GntAlignment alignment)
| Set the alignment for the widgets in the box. More...
void | gnt_box_remove (GntBox *box, GntWidget *widget)
| Remove a widget from the box. More...
void | gnt_box_remove_all (GntBox *box)
| Remove all widgets from the box. More...
void | gnt_box_readjust (GntBox *box)
| Readjust the size of each child widget, reposition the child widgets and recalculate the size of the box. More...
void | gnt_box_set_fill (GntBox *box, gboolean fill)
| Set whether the widgets in the box should fill the empty spaces. More...
void | gnt_box_move_focus (GntBox *box, int dir)
| Move the focus from one widget to the other. More...
void | gnt_box_give_focus_to_child (GntBox *box, GntWidget *widget)
| Give focus to a specific child widget. More...

## Detailed Description

Box API

Definition in file gntbox.h.

## Function Documentation

## gnt_box_add_widget()

void gnt_box_add_widget | ( | GntBox * | box,
|  | GntWidget * | widget
| ) |  |

Add a widget in the box.

Parameters

  box | The box
  widget | The widget to add

## gnt_box_get_gtype()

G_BEGIN_DECLS GType gnt_box_get_gtype | ( | void |  | ) |

The GType for GntBox.

Returns
  The GType.

## gnt_box_give_focus_to_child()

void gnt_box_give_focus_to_child | ( | GntBox * | box,
|  | GntWidget * | widget
| ) |  |

Give focus to a specific child widget.

Parameters

  box | The box
  widget | The child widget to give focus

## gnt_box_move_focus()

void gnt_box_move_focus | ( | GntBox * | box,
|  | int | dir
| ) |  |

Move the focus from one widget to the other.

Parameters

  box | The box
  dir | The direction. If it's 1, then the focus is moved forwards, if it's -1, the focus is moved backwards.

## gnt_box_new()

GntWidget* gnt_box_new | ( | gboolean | homo,
|  | gboolean | vert
| ) |  |

Create a new GntBox.

Parameters

  homo | If `TRUE`, all the widgets in it will have the same width (or height)
  vert | Whether the widgets in it should be stacked vertically (if `TRUE`) or horizontally (if `FALSE`).

Returns
  The new GntBox.

## gnt_box_readjust()

void gnt_box_readjust | ( | GntBox * | box | ) |

Readjust the size of each child widget, reposition the child widgets and recalculate the size of the box.

Parameters

  box | The box

## gnt_box_remove()

void gnt_box_remove | ( | GntBox * | box,
|  | GntWidget * | widget
| ) |  |

Remove a widget from the box.

Calling this does NOT destroy the removed widget.

Parameters

  box | The box
  widget | The widget to remove

## gnt_box_remove_all()

void gnt_box_remove_all | ( | GntBox * | box | ) |

Remove all widgets from the box.

This DOES destroy all widgets in the box.

Parameters

  box | The box

## gnt_box_set_alignment()

void gnt_box_set_alignment | ( | GntBox * | box,
|  | GntAlignment | alignment
| ) |  |

Set the alignment for the widgets in the box.

Parameters

  box | The box
  alignment | The alignment to use

## gnt_box_set_fill()

void gnt_box_set_fill | ( | GntBox * | box,
|  | gboolean | fill
| ) |  |

Set whether the widgets in the box should fill the empty spaces.

Parameters

  box | The box
  fill | Whether the child widgets should fill the empty space

## gnt_box_set_pad()

void gnt_box_set_pad | ( | GntBox * | box,
|  | int | pad
| ) |  |

Set the padding to use between the widgets in the box.

Parameters

  box | The box
  pad | The padding to use

## gnt_box_set_title()

void gnt_box_set_title | ( | GntBox * | box,
|  | const char * | title
| ) |  |

Set a title for the box.

Parameters

  box | The box
  title | The title to set

## gnt_box_set_toplevel()

void gnt_box_set_toplevel | ( | GntBox * | box,
|  | gboolean | set
| ) |  |

Set whether it's a toplevel box (ie, a window) or not.

If a box is toplevel, then it will show borders, the title (if set) and shadow (if enabled in .gntrc)

Parameters

  box | The box
  set | `TRUE` if it's a toplevel box, `FALSE` otherwise.

## gnt_box_sync_children()

void gnt_box_sync_children | ( | GntBox * | box | ) |

Reposition and refresh the widgets in the box.

Parameters

  box | The box